### Function

# EvinceDocument Document misc_render_thumbnail_surface_with_frame

#### Declaration [src]

    cairo_surface_t*
    ev_document_misc_render_thumbnail_surface_with_frame (
      GtkWidget* widget,
      cairo_surface_t* source_surface,
      int width,
      int height
    )

#### Description

No description available.

Available since: | 3.14

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget` to use for style information.
| The data is owned by the caller of the function.
`source_surface` | `cairo_surface_t`
| A #cairo_surface_t.
| The data is owned by the caller of the function.
`width` | `int`
| The desired width.
`height` | `int`
| The desired height.

#### Return value

Returns: | `cairo_surface_t`
| A #cairo_surface_t.
| The caller of the function takes ownership of the data, and is responsible for freeing it.